msmtp

Description:An SMTP client and SMTP plugin for mail user agents such as Mutt
License: GPL-3
Homepage:https://marlam.de/msmtp/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
1.8.6 diff ~ ~ ~ - ~ - - ~ ~ - - ~ ~
1.8.5-r1 diff ~ ~ ~ - ~ - - ~ ~ - - ~ ~
1.8.3 + + ~ - + - - + + - - + +

USE flags

  • daemon - Build/install msmtpd MTA daemon
  • doc - Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
  • filecaps - Use Linux file capabilities to control privilege rather than set*id (this is orthogonal to USE=caps which uses capabilities at runtime e.g. libcap)
  • gnome-keyring - Enable support for storing passwords via gnome-keyring
  • gnutls - Prefer net-libs/gnutls as SSL/TLS provider (ineffective with USE=-ssl)
  • idn - Enable support for Internationalized Domain Names
  • libressl - Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
  • mta - Enable this to install as system-wide MTA
  • nls - Add Native Language Support (using gettext - GNU locale utilities)
  • python_single_target_python2_6 - Build for Python 2.6 only
  • python_single_target_python2_7 - Build for Python 2.7 only
  • python_targets_python2_6 - Build with Python 2.6 (removed)
  • python_targets_python2_7 - Build with Python 2.7
  • sasl - Add support for the Simple Authentication and Security Layer
  • ssl - Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
  • vim-syntax - Pulls in related vim syntax scripts

Security Advisory

Date Severity Title
over 7 years normal msmtp: X.509 NULL spoofing vulnerability

Also available in: Atom

Thank you!